Bug 282561 - "Local collection" text label is truncated with large font
Summary: "Local collection" text label is truncated with large font
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collection Browser (show other bugs)
Version: 2.6-git
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-22 14:58 UTC by Pascal d'Hermilly
Modified: 2013-02-20 16:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
screenshot (30.62 KB, image/png)
2011-09-22 14:58 UTC, Pascal d'Hermilly
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal d'Hermilly 2011-09-22 14:58:29 UTC
Created attachment 63856 [details]
screenshot

Version:           2.4.3
OS:                Linux

In the "local music" in "media sources" the collection label is truncated if the font-size is large. see screenshot

Reproducible: Didn't try

Steps to Reproduce:
-


Expected Results:  
-

OS: Linux (x86_64) release 2.6.38-11-generic
Compiler: gcc
Comment 1 Aakash 2011-12-31 16:20:54 UTC
The problem persists in Amarok 2.5.
Comment 2 Myriam Schweingruber 2012-01-01 12:38:51 UTC
Thanks for testing.
Comment 3 MinSik CHO 2012-12-02 12:00:21 UTC
not reproducible with amarok 2.6
Comment 4 Myriam Schweingruber 2012-12-02 13:13:55 UTC
This is still reproducible with font size 15 in v2.6.0-422-gfc07990
Comment 5 Ralf Engels 2013-02-20 16:49:58 UTC
Git commit 1600c2e58036301d09b8bd13a5392d83d43bcf44 by Ralf Engels.
Committed on 18/02/2013 at 19:04.
Pushed by rengels into branch 'master'.

Fix: "Local collection" text label is truncated with large font

- Correctly calculate the size of an item.
- Use the styles pixel metrics
FIXED-IN: 2.8

M  +1    -1    src/SvgHandler.h
M  +3    -1    src/browsers/CollectionTreeItem.h
M  +12   -23   src/browsers/CollectionTreeItemModelBase.cpp
M  +3    -4    src/browsers/CollectionTreeItemModelBase.h
M  +3    -4    src/browsers/collectionbrowser/CollectionBrowserTreeView.cpp
M  +181  -98   src/browsers/collectionbrowser/CollectionTreeItemDelegate.cpp
M  +12   -4    src/browsers/collectionbrowser/CollectionTreeItemDelegate.h

http://commits.kde.org/amarok/1600c2e58036301d09b8bd13a5392d83d43bcf44